• Register
0 votes
1.2k views

Problem  :

I am using windows 10. I also have Tensorflow on my box.It says "Hello Tensorflow!" to me. However it has all of below before it:

2019-12-05 18:16:01.500579: I T:\src\github\tensorflow\tensorflow\core\platform\cpu_feature_guard.cc:141] Your CPU supports instructions that this TensorFlow binary was not compiled to use: AVX2 2019-12-05 18:16:01.769002: I T:\src\github\tensorflow\tensorflow\core\common_runtime\gpu\gpu_device.cc:1405] Found device 0 with properties: name: GeForce GTX 950 major: 5 minor: 2 memoryClockRate(GHz): 1.3545 pciBusID: 0000:01:00.0 totalMemory: 2.00GiB freeMemory: 1.64GiB 2019-12-05 18:16:01.774030: I T:\src\github\tensorflow\tensorflow\core\common_runtime\gpu\gpu_device.cc:1484] Adding visible gpu devices: 0 2019-12-05 18:16:02.095489: I T:\src\github\tensorflow\tensorflow\core\common_runtime\gpu\gpu_device.cc:965] Device interconnect StreamExecutor with strength 1 edge matrix: 2019-12-05 18:16:02.099093: I T:\src\github\tensorflow\tensorflow\core\common_runtime\gpu\gpu_device.cc:971] 0 2019-12-05 18:16:02.100631: I T:\src\github\tensorflow\tensorflow\core\common_runtime\gpu\gpu_device.cc:984] 0: N 2019-12-05 18:16:02.102156: I T:\src\github\tensorflow\tensorflow\core\common_runtime\gpu\gpu_device.cc:1097] Created TensorFlow device (/job:localhost/replica:0/task:0/device:GPU:0 with 1401 MB memory) -> physical GPU (device: 0, name: GeForce GTX 950, pci bus id: 0000:01:00.0, compute capability: 5.2) Hello Tensorflow!

Process returned 0 (0x0) execution time : 2.327 s Press any key to continue

But when I type pip3 install --upgrade tensorflow-gpu in my cmd, both administrative and normal I get following Could not install packages due to an EnvironmentError: [WinError 5] Access is denied: 'c:\\users\\alecxe\\appdata\\local\\programs\\python\\python35\\Lib\\site-packages\\numpy\\.libs\\libopenblas.BNVRK7633HSX7YVO2TADGR4A5KEKXJAW.gfortran-win_amd64.dll' Consider using the--useroption or check the permissions.

Any solution on this issue?

6 5 3
7,540 points

Please log in or register to answer this question.

1 Answer

0 votes

Solution :

 Please type below command if you want execute with the user permission, else you don't want to change the permission:

pip3 install --upgrade tensorflow-gpu --user

 And your issue is resolved.

9 7 4
38,600 points

Related questions

0 votes
2 answers 731 views
731 views
Problem : In the MacOS Mojave terminal I am trying to install a python package with pip. At the end of it says as follows : You are using pip version 10.0.1, however version 18.1 is available. You should consider upgrading via the 'pip install --upgrade pip' command. Here ... to do.Also I just realized that it says Python 2.7 in the error message but I have python 3 and want to use only python 3.
asked Dec 10, 2019 alecxe 7.5k points
0 votes
1 answer 16 views
16 views
Problem: I'm using windows 8.1 64 bit my code import pdb from moviepy.editor import * clip = VideoFileClip(".\\a.mp4") clip.write_gif('.\\aasda.gif') the exception is at write_gif method How i moved the script to another folder and partition, running moviepy dependancies and python as admin, turning off UAC still gives me error?
asked Jan 26 Mashhoodch 10.5k points
1 vote
1 answer 116 views
116 views
Problem : I am very beginner to Tensorflow. I am trying to install the Tensorflow but I am unable to do so. I am following below procedure to install the tensorflow. >>> python -V Python 2.7.6 >>> pip -V pip 1.5.4 from /usr/lib/python2.7/dist-packages (python 2 ... /root/.pip/pip.log I am stuck with this error from past couple of days. Still unable to fix it. Please guide me in fixing this issue?
asked Mar 28, 2020 morrisBson 3.2k points
0 votes
1 answer 143 views
143 views
Problem : I want to intstall the TensorFlow using pip. I tried below command: $ pip install tensorflow –user But I got below error: Collecting tensorflow Could not find a version that satisfies the requirement tensorflow (from versions: ) No matching distribution found for tensorflow How can I install the TensorFlow?
asked Feb 19, 2020 mphil 2.3k points
0 votes
1 answer 282 views
282 views
Problem : I am building the TensorFlow from the source code. The build appears to succeed; but, when my TensorFlow program invokes the import tensorflow, one or both of the following errors starts appearing: · ImportError: libcudart.so.8.0: cannot open shared object file: No such file or directory · ImportError: libcudnn.5: cannot open shared object file: No such file or directory
asked Dec 9, 2019 alecxe 7.5k points
0 votes
1 answer 1 view
1 view
Problem: How to solve : createprocess error=5 access is denied HELP! I need help understanding this : createprocess error=5 access is denied Can someone please help fix this, I am new in java. Anyone have ideas on what I need to do to understand this? Thanks!
asked 2 days ago Ali 6.2k points
0 votes
1 answer 18 views
18 views
This is the error I get (mysite)zjm1126@zjm1126-G41MT-S2:~/zjm_test/mysite$ pip install mysql-python Downloading/unpacking mysql-python Downloading MySQL-python-1.2.3.tar.gz (70Kb): 70Kb downloaded Running setup.py egg_info for package mysql-python sh: mysql_config: not found ... egg_info failed with error code 1 Storing complete log in /home/zjm1126/.pip/pip.log What can I do to resolve this?
asked Oct 24, 2020 psandprop 2.4k points
1 vote
1 answer 2 views
2 views
Problem: Any ideas on what I need to do to fix this? Thanks! your requirements could not be resolved to an installable set of packages
asked 1 day ago Muneeb Saadii 4.2k points
1 vote
1 answer 3 views
3 views
Problem : I am using laravel-4 , When I run composer update I receive some wired :“Your requirements could not be resolved to an installable set of packages” How can I resolve this error ?
asked 2 days ago Shovo210 3.9k points
0 votes
2 answers 355 views
355 views
Problem : Currently I have installed Python version 3.5 and 3.6 and anaconda on my box. The following error comes up while trying to install tensorflow below are the steps https://www.tensorflow.org/install/install_windows using the anaconda (tensorflow) C:> pip install --ignore- ... . As I am very much new to Python, I am unable to resolve this problem. I am using the Windows 10 with 64bit.
asked Dec 11, 2019 alecxe 7.5k points